---
platforms:
  # all these keys are optional - see https://osbs.readthedocs.io/en/latest/users.html#image-configuration for more info

  only:
  - x86_64   # can be a list (as here) or a string (as below)
  - s390x
  - ppc64le

compose:
  inherit: false
  pulp_repos: true
  signing_intent: release

# instead of docker_api, use imagebuilder for multistage builds
image_build_method: imagebuilder

remote_sources:
- name: devspaces-images-traefik
  remote_source:
    repo: https://github.com/redhat-developer/devspaces-images.git
    ref: 53d3e18cb00dc3cbec91a81a0fc6c33ea4ca1dfa
    pkg_managers: [gomod, yarn]
    flags: [gomod-vendor-check]
    packages: 
      gomod: 
        - path: devspaces-traefik
      yarn:
        - path: devspaces-traefik/webui